
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2541

NA transfer from MZ INN and Excipients editors

03/16/2017 10:58 AM - Oleksii Kurasov

Status: Closed Start date: 03/16/2017

Priority: Normal Due date: 03/29/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 03/21/2017 12:03 PM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 03/23/2017 05:49 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#3 - 03/23/2017 09:01 AM - Oleksii Kurasov

- Due date changed from 03/21/2017 to 03/23/2017

#4 - 03/28/2017 12:51 PM - Oleksii Kurasov

- Due date changed from 03/23/2017 to 03/29/2017

#5 - 03/30/2017 08:31 AM - Oleksii Kurasov

- Status changed from Resolved to Closed
